View Issue Details

IDProjectCategoryView StatusLast Update
13967Bug reports[All Projects] Theme editorpublic2019-04-30 09:10
ReportersteffihAssigned Todominikvitt 
PriorityurgentSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.14.x 
Summary13967: Installed Themes overview
Description

When there are more than 10 themes installed, e.g. 30-40 or more, it is very difficult to find the specific theme you are looking for. There should maybe be an option to change the order to alphabetic, or the possibility to search by name. Also, the feature "Show XX per page" doesn't seem to work. Maybe there is also a way to make the space of each theme item more compact, and also if you choose "show 50 per page", it should save this choice for your account. A few improvements would make it much easier to work with the theme editor! :-)

Steps To Reproduce

Go to themes and set the "Show XX per page" dropdown to another value.

Additional Information

Thanks in advance! :-)

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.14.4+180810
I will donate to the project if issue is resolvedNo
BrowserChrome (Mac)
Database & DB-VersionMySQL 5
Server OS (if known)Linux
Webserver software & version (if known)Apache 2
PHP Version7

Activities

LouisGac

LouisGac

2018-08-16 10:13

manager   ~48789

40 themes? woo...

yes sure, it's base on Yii's data provider, so it's very easy to add a search bar, pagination, filters, orders, etc.

guest

guest

2018-09-04 18:24

viewer   ~48968

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27891

Related Changesets

LimeSurvey: master ff05c0ad

2018-09-04 18:23:46

Dominik Vitt

Details Diff
Fixed issue 13967: Installed Themes overview Affected Issues
13967
mod - application/controllers/admin/themeoptions.php Diff File
mod - application/models/TemplateConfiguration.php Diff File
mod - application/views/admin/themeoptions/index.php Diff File
mod - application/views/admin/themeoptions/surveythemelist.php Diff File

Issue History

Date Modified Username Field Change
2018-08-15 23:12 steffih New Issue
2018-08-16 10:13 LouisGac Note Added: 48789
2018-08-16 10:13 LouisGac Assigned To => LouisGac
2018-08-16 10:13 LouisGac Status new => assigned
2018-08-17 11:00 LouisGac Sticky Issue No => Yes
2018-08-28 10:44 LouisGac Assigned To LouisGac => dominikvitt
2018-08-28 11:53 LouisGac Sticky Issue Yes => No
2018-08-28 11:53 LouisGac Priority none => high
2018-08-28 11:54 LouisGac Priority high => urgent
2018-09-04 18:24 Changeset attached => LimeSurvey master ff05c0ad
2018-09-04 18:24 guest Note Added: 48968
2018-09-04 18:24 guest Resolution open => fixed
2018-09-04 18:25 dominikvitt Status assigned => resolved
2018-09-04 18:25 dominikvitt Fixed in Version => 3.14.x
2019-04-30 09:10 c_schmitz Status resolved => closed